ServerEvents.recipes(event => {
    event.remove({ output: 'projecte:watch_of_flowing_time' })
    event.shaped(
        Item.of('projecte:watch_of_flowing_time'),
        [
            'ABA',
            'CDC',
            'ABA'
        ],
        {
            A: 'projecte:dark_matter',
            B: 'minecraft:glowstone',
            C: 'minecraft:obsidian',
            D: Item.of('tiab:time_in_a_bottle')
        }
    )
    event.remove({ output: 'projecte:dm_pedestal' })
    event.shaped(
        Item.of('projecte:dm_pedestal'),
        [
            'ABA',
            'ACA',
            'CCC'
        ],
        {
            A: 'projecte:red_matter',
            B: 'create:depot',
            C: 'projecte:dark_matter_block'
        }
    )
    event.remove({ output: 'projecte:philosophers_stone' })
    event.shaped(
        Item.of('projecte:philosophers_stone'),
        [
            'ABD',
            'ECE',
            'DBA'
        ],
        {
            A: 'mna:chimerite_block',
            B: 'minecraft:glowstone',
            C: 'magichem:philosophers_stone',
            D: 'minecraft:emerald_block',
            E: 'minecraft:glowstone'
        }
    )
    event.remove({ output: 'projecte:transmutation_table' })
    event.shaped(
        Item.of('projecte:transmutation_table'),
        [
            'ABA',
            'CDC',
            'ABA'
        ],
        {
            A: '#forge:storage_blocks/refined_obsidian',
            B: 'forbidden_arcanus:dark_matter',
            C: 'projecte:dark_matter',
            D: 'projecte:philosophers_stone'
        }
    )
    event.remove({ output: 'projectexpansion:transmutation_interface' })
    event.shaped(
        Item.of('projectexpansion:transmutation_interface'),
        [
            'ABA',
            'CDC',
            'ABA'
        ],
        {
            A: 'projecte:condenser_mk2',
            B: 'projectexpansion:final_emc_link',
            C: 'projecte:transmutation_table',
            D: 'expatternprovider:oversize_interface'
        }
    )
    event.remove({ output: 'projecte:low_covalence_dust' })
    event.shapeless(
        Item.of('projecte:low_covalence_dust', 8),
        [
            'projecte:philosophers_stone',
            'minecraft:charcoal',
            '7x minecraft:cobblestone'
        ]
    )
    event.remove({ output: 'projecte:medium_covalence_dust' })
    event.shapeless(
        Item.of('projecte:medium_covalence_dust', 4),
        [
            'projecte:philosophers_stone',
            'minecraft:iron_ingot',
            'minecraft:redstone'
        ]
    )
    event.remove({ output: 'projecte:high_covalence_dust' })
    event.shapeless(
        Item.of('projecte:high_covalence_dust', 2),
        [
            'projecte:philosophers_stone',
            'minecraft:diamond',
            'minecraft:coal'
        ]
    )
    event.remove({ output: 'projecte:collector_mk1' })
    event.shaped(
        Item.of('projecte:collector_mk1'),
        [
            'ABA',
            'ACA',
            'ADA'
        ],
        {
            A: 'minecraft:glowstone',
            B: '#c:glass_blocks',
            C: 'projecte:philosophers_stone',
            D: 'minecraft:furnace'
        }
    )
    event.remove({ output: 'projecte:relay_mk1' })
    event.shaped(
        Item.of('projecte:relay_mk1'),
        [
            'ABA',
            'ACA',
            'AAA'
        ],
        {
            A: 'minecraft:obsidian',
            B: '#c:glass_blocks',
            C: 'projecte:philosophers_stone'
        }
    )
})